Bug 1392820 - Add RPM deps to require install of qemu-kvm-rhev, not qemu-kvm-rhel
Summary: Add RPM deps to require install of qemu-kvm-rhev, not qemu-kvm-rhel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Kashyap Chamarthy
QA Contact: Archit Modi
URL:
Whiteboard:
Depends On:
Blocks: 1498026 1516271
TreeView+ depends on / blocked
 
Reported: 2016-11-08 10:05 UTC by Daniel Berrangé
Modified: 2019-09-09 15:33 UTC (History)
26 users (show)

Fixed In Version: openstack-nova-17.0.0-0.20180123163703.27eadbc.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1367696
: 1498026 1516271 (view as bug list)
Environment:
Last Closed: 2018-06-27 13:26:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 9858 None None None 2018-02-08 10:41:01 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:28:35 UTC

Comment 9 Kashyap Chamarthy 2017-10-02 12:23:43 UTC
Proposed this for the RDO Nova spec file:

    https://review.rdoproject.org/r/#/c/9858/ -- Install the right 
    variant of QEMU binary based on distribution


Where the `diff` is as following:

-----------------------------------------------------------------------
diff --git a/openstack-nova.spec b/openstack-nova.spec
index 35007fa..21c1267 100644
--- a/openstack-nova.spec
+++ b/openstack-nova.spec
@@ -162,8 +162,20 @@ Requires:         openssh-clients
 Requires:         rsync
 Requires:         lvm2
 Requires:         python-cinderclient >= 3.1.0
-Requires(pre):    qemu-kvm >= 2.3.0
 Requires:         genisoimage
+# Ensure that the _right_ verion of QEMU binary is shipped
+# based on distribution
+%if 0%{?fedora}
+Requires(pre): qemu-kvm >= 2.9.0
+%else
+%if 0%{?centos}
+Requires(pre): qemu-kvm-ev >= 2.9.0
+%else
+%if 0%{?rhel}
+Requires(pre): qemu-kvm-rhev >= 2.9.0
+%endif
+%endif
+%endif
 Requires:         bridge-utils
 Requires:         sg3_utils
 Requires:         sysfsutils
-----------------------------------------------------------------------

Comment 10 Kashyap Chamarthy 2017-10-03 07:35:26 UTC
The Nova spec file patch is now merged in RDO 'rpm-master', and the following is final the `diff`:

-----------------------------------------------------------------------
diff --git a/openstack-nova.spec b/openstack-nova.spec
index 35007fa..c5504e0 100644
--- a/openstack-nova.spec
+++ b/openstack-nova.spec
@@ -162,8 +162,21 @@ Requires:         openssh-clients
 Requires:         rsync
 Requires:         lvm2
 Requires:         python-cinderclient >= 3.1.0
-Requires(pre):    qemu-kvm >= 2.3.0
 Requires:         genisoimage
+# Ensure that the _right_ verion of QEMU binary is shipped based on
+# distribution.
+%if 0%{?fedora}
+Requires(pre): qemu-kvm >= 2.9.0
+%endif
+# NOTE-1: CentOS package is called 'qemu-kvm-ev', but it has a
+#         compatiblity "Provides: qemu-kvm-rhev", so it'll do the right
+#         thing, that's why we're not special-casing CentOS here.
+# NOTE-2: Explicitly conditionalize on RHEL-7, as we have to
+#         re-evaluate the QEMU version string for each RHOS / RHEL
+#         release.
+%if 0%{?rhel} == 7
+Requires(pre): qemu-kvm-rhev >= 2.9.0
+%endif
 Requires:         bridge-utils
 Requires:         sg3_utils
 Requires:         sysfsutils
-----------------------------------------------------------------------

Comment 16 errata-xmlrpc 2018-06-27 13:26:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.